## ros-indigo-scan-tools 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(scan_tools)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-scan-tools (0.3.2-0trusty) trusty; urgency=high

  * [feat][laser_scan_matcher] Publish Poses with Covariance (#44 <https://github.com/ccny-ros-pkg/scan_tools/pull/44>)
  * [sys][laser_scan_matcher] Remove csm cmake macro; csm is now built upstream since (#31 <https://github.com/ccny-ros-pkg/scan_tools/pull/45>)
  * Contributors: Eric Tappan, Isaac I.Y. Saito

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Sat, 19 Mar 2016 07:00:00 -0000

ros-indigo-scan-tools (0.3.1-0trusty) trusty; urgency=high

  * [sys] Remove obsolete dependency. Alphabetize.
  * Contributors: Isaac I.Y. Saito

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Fri, 18 Dec 2015 08:00:00 -0000

ros-indigo-scan-tools (0.3.0-0trusty) trusty; urgency=high

  * [feat] Allow choosing between geometry_msgs/Twist and geometry_msgs/TwistStamped (fix #21 <https://github.com/ccny-ros-pkg/scan_tools/issues/21>)
  * [sys][laser_scan_matcher] Depends on DEB version of CSM; it is no longer built upon compile time
  * [sys][laser_scan_matcher] Add simplest unit test
  * [feat][laser_scan_matcher, demo.launch] Arg for whether to use RViz or not
  * Contributors: Kei Okada, Jorge Santos Simón, Isaac I.Y. Saito

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Tue, 10 Nov 2015 08:00:00 -0000

ros-indigo-scan-tools (0.2.1-0trusty) trusty; urgency=high

  * [feat] Released into ROS Indigo and Jade
  * [feat] Update gmapping demo as well.
  * [feat] added support for IMU message for orientation in laser_ortho_projector. The imu topic is imu/data* [feat] removed vgf filter, added xy filtering. added vgf on point cloud input for scan_matcher, vgf on point cloud input for scan_matcher
  * [feat] removing pose2dstamped message type, now using posestamped
  * [feat] added polar scan matcher
  * [feat] added imu option to PSM, made CSM and PSM look similar
  * [feat] added demo dir to CSM,
  * [fix] rotation update check
  * [fix] possible memory leak introduced by keyframe feature
  * [fix] PSM launch file
  * [doc] updated manifest of scan_to_cloud_converter
  * [doc] README files to contain catkin instructions
  * [doc] replaces tabs and fixes imu <-> odom topic comment
  * [sys] Catkinization
  * [sys] Moved from robotics.ccny.cuny.edu
  * [sys] ROS Hydro compatible
  * [sys] correct license and references to PSM and CSM
  * [sys] Small tweaks to CMakeLists.txt and package.xml files
  * [sys] renamed skip to step parameter in scan sparsifier
  * [sys] cleaning
  * [sys] Replace demo.vcg with a demo.rviz
  * [sys] Small tweaks to CMakeLists.txt and package.xml files
  * [sys] laser_scan_matcher: Remove CSM search in CMakeLists.txt
    Since the csm package exports the CFLAGS and LFLAGS, we do not need to
    explicitly search for the paths.
  * [sys] launch files use rosbag api for fuerte
  * [sys] imu topic renamed to imu/data
  * Contributors: Ivan Dryanovski, Miguel Sarabia, Daniel Axtens, Kartik Mohta, Miguel Sarabia, Stephan Wirth, Enrique Fernandez, Isaac I.Y. Saito

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Wed, 14 Oct 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-scan-tools
Section: misc
Priority: extra
Maintainer: Ivan Dryanovski <ccnyroboticslab@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/scan_tools
Standards-Version: 3.9.2

Package: ros-indigo-scan-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-laser-ortho-projector, ros-indigo-laser-scan-matcher, ros-indigo-laser-scan-sparsifier, ros-indigo-laser-scan-splitter, ros-indigo-ncd-parser, ros-indigo-polar-scan-matcher, ros-indigo-scan-to-cloud-converter
Description: Laser scan processing tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-scan-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
